This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 09:05
Elapsed6m49s
Revision
Builderd831d72d-73f7-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/5f0e9104-2236-4f29-8353-2f1c2a67c209/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/5f0e9104-2236-4f29-8353-2f1c2a67c209/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 09:05:39.024] process 29 exited with code 0 after 0.0m
I0401 09:05:39.024] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 09:05:39.024] Root: /workspace
I0401 09:05:39.025] cd to /workspace
I0401 09:05:39.025] Configure environment...
I0401 09:05:39.025] Call:  git show -s --format=format:%ct HEAD
W0401 09:05:39.030] fatal: not a git repository (or any of the parent directories): .git
I0401 09:05:39.030] process 42 exited with code 128 after 0.0m
W0401 09:05:39.030] Unable to print commit date for HEAD
I0401 09:05:39.031] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 09:05:39.520] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 09:05:40.444] process 43 exited with code 0 after 0.0m
I0401 09:05:40.445] Call:  gcloud config get-value account
I0401 09:05:41.372] process 56 exited with code 0 after 0.0m
I0401 09:05:41.372] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 09:05:41.372] Start 1245275974304534528 at ...
I0401 09:05:41.374] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_V7nui1 gs://kubernetes-jenkins/logs/metrics-kettle/1245275974304534528/started.json
I0401 09:05:44.157] process 69 exited with code 0 after 0.0m
I0401 09:05:44.158] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 09:05:44.188] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 09:12:18.054] ERROR: table k8s-gubernator:build.all is 26.1 hours old. Max allowed: 6 hours.
I0401 09:12:18.055] ERROR: table k8s-gubernator:build.week is 26.3 hours old. Max allowed: 6 hours.
I0401 09:12:18.055] ERROR: table k8s-gubernator:build.day is 25.9 hours old. Max allowed: 6 hours.
I0401 09:12:18.055] Collected data:
I0401 09:12:18.055] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 09:12:18.055] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 09:12:18.055] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 09:12:18.056] 
W0401 09:12:18.131] Traceback (most recent call last):
... skipping 22 lines ...
W0401 09:12:18.134]     self.send(msg)
W0401 09:12:18.134]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 09:12:18.134]     self.connect()
W0401 09:12:18.134]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 09:12:18.134]     conn = self._new_conn()
W0401 09:12:18.134]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 09:12:18.134]     self, "Failed to establish a new connection: %s" % e
W0401 09:12:18.135] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f765e147358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 09:12:18.135] 
W0401 09:12:18.135] During handling of the above exception, another exception occurred:
W0401 09:12:18.135] 
W0401 09:12:18.135] Traceback (most recent call last):
W0401 09:12:18.135]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 09:12:18.135]     timeout=timeout
W0401 09:12:18.135]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 09:12:18.135]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 09:12:18.135]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 09:12:18.136]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 09:12:18.136] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f765e147358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 09:12:18.136] 
W0401 09:12:18.136] During handling of the above exception, another exception occurred:
W0401 09:12:18.136] 
W0401 09:12:18.136] Traceback (most recent call last):
W0401 09:12:18.136]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 09:12:18.136]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 09:12:18.138]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 09:12:18.138]     resp = self.send(prep, **send_kwargs)
W0401 09:12:18.138]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 09:12:18.138]     r = adapter.send(request, **kwargs)
W0401 09:12:18.138]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 09:12:18.138]     raise ConnectionError(e, request=request)
W0401 09:12:18.139] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f765e147358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 09:12:18.139] Traceback (most recent call last):
W0401 09:12:18.139]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 09:12:18.139]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 09:12:18.139]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 09:12:18.139]     check(*cmd)
W0401 09:12:18.139]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 09:12:18.139]     subprocess.check_call(cmd)
W0401 09:12:18.139]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 09:12:18.140]     raise CalledProcessError(retcode, cmd)
W0401 09:12:18.140] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 09:12:18.140] Command failed
I0401 09:12:18.140] process 251 exited with code 1 after 6.6m
E0401 09:12:18.140] FAIL: metrics-kettle
I0401 09:12:18.140] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 09:12:18.612] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 09:12:19.263] process 255 exited with code 0 after 0.0m
I0401 09:12:19.263] Call:  gcloud config get-value account
I0401 09:12:20.176] process 267 exited with code 0 after 0.0m
I0401 09:12:20.177] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 09:12:20.177] Upload result and artifacts...
I0401 09:12:20.177] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245275974304534528
W0401 09:12:20.177] Missing local artifacts : /workspace/_artifacts
W0401 09:12:20.178] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 09:12:20.178] metadata not found or invalid, init with empty metadata
I0401 09:12:20.178] Call:  git rev-parse HEAD
W0401 09:12:20.183] fatal: not a git repository (or any of the parent directories): .git
E0401 09:12:20.183] Command failed
I0401 09:12:20.183] process 280 exited with code 128 after 0.0m
I0401 09:12:20.184] Call:  git rev-parse HEAD
I0401 09:12:20.188] process 281 exited with code 0 after 0.0m
I0401 09:12:20.188] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 09:12:21.721] process 282 exited with code 0 after 0.0m
I0401 09:12:21.721] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585728667269414'
... skipping 8 lines ...